[arch-commits] Commit in gsf-sharp/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Mon Apr 6 16:31:16 EDT 2009


    Date: Monday, April 6, 2009 @ 16:31:16
  Author: eric
Revision: 34143

upgpkg: gsf-sharp 0.8.1-2
    Added license

Modified:
  gsf-sharp/trunk/PKGBUILD

----------+
 PKGBUILD |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-06 19:40:21 UTC (rev 34142)
+++ PKGBUILD	2009-04-06 20:31:16 UTC (rev 34143)
@@ -4,10 +4,11 @@
 
 pkgname=gsf-sharp
 pkgver=0.8.1
-pkgrel=1
+pkgrel=2
 pkgdesc="libgsf .NET binding"
 arch=(i686 x86_64)
 url="http://go-mono.org/"
+license=('LGPL2')
 depends=('libgsf>=1.14.1' 'gtk-sharp-2>=2.10')
 makedepends=('pkgconfig')
 options=(!libtool)
@@ -15,13 +16,13 @@
 md5sums=('92bb68612bdcd8ca3c475b3fee097968')
 
 build() {
-  export MONO_SHARED_DIR=${startdir}/src/.wabi
+  export MONO_SHARED_DIR=${srcdir}/.wabi
   mkdir -p ${MONO_SHARED_DIR}
 
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/usr
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
 
   rm -rf ${MONO_SHARED_DIR}
 }



More information about the arch-commits mailing list